Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 172274 - tftp-server log in GMT instead of localtime
Summary: tftp-server log in GMT instead of localtime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tftp
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix 242653
TreeView+ depends on / blocked
 
Reported: 2005-11-02 07:10 UTC by masanari iida
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0312
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:37:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0312 normal SHIPPED_LIVE tftp bug fix update 2006-07-19 18:43:00 UTC

Description masanari iida 2005-11-02 07:10:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.11) Gecko/20050728

Description of problem:
tftp-server log (/var/log/messages) timestamp is in GMT, instead of localtime.

Version-Release number of selected component (if applicable):
tftp-server-0.39-0.EL3.1	

How reproducible:
Always

Steps to Reproduce:
1. install tftp-server RPM
2. setup tftproot directory in /etc/xinetd.d/tftp
3. download some files... then see logs.
  

Actual Results:  logging time is in GMT

Expected Results:  logging time should be in localtime.

Additional info:

/etc/xinetd.d/tftp
        server_args             = -v -s /tftpboot

Add localtime in /tftpboot/etc solve the problem.
# mkdir /tftpboot/etc
# cp -p /etc/localtime /tftpboot/etc

Comment 1 Curtis Doty 2006-03-18 07:49:06 UTC
I've seen this bug for some time now. Oddly, it only syslogs in GMT for some
messages. Here is a recent example on Fedora Core 4:

Mar 17 21:38:47 bender in.tftpd[31938]: Cannot open map file: /etc/tftpd.rules:
No such file or directory
Mar 18 05:39:40 bender in.tftpd[31977]: RRQ from 10.10.10.10 filename
c3500xl-c3h2s-tar.120-5.WC14.tar

The first error was my own fault for failing to create the file referenced in my
own addition of the -m option. Note the timestamp is *accurate* and reflects my
localtime PST.

The second error was a successful transfer. But it wrongly logs the time in GMT
only a minute of clock time after I resolved the error.

HTH

Comment 4 Bob Johnson 2006-04-11 16:24:25 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 7 Red Hat Bugzilla 2006-07-20 14:37:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0312.html



Note You need to log in before you can comment on or make changes to this bug.